import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
declare const Navbar: {
    ({ logo, badges, navs, notifications, profile }: propsTypes): React.ReactElement;
    propTypes: {
        logo: PropTypes.Validator<PropTypes.InferProps<{
            image: PropTypes.Requireable<string>;
            link: PropTypes.Requireable<string>;
        }>>;
        badges: PropTypes.Requireable<(PropTypes.InferProps<{
            isPrimary: PropTypes.Requireable<boolean>;
            isRounded: PropTypes.Requireable<boolean>;
            label: PropTypes.Requireable<string>;
            link: PropTypes.Requireable<string>;
        }> | null | undefined)[]>;
        navs: PropTypes.Validator<(PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
            label: PropTypes.Requireable<string>;
            isActive: PropTypes.Requireable<boolean>;
            link: PropTypes.Requireable<string>;
            dropdown: PropTypes.Requireable<object>;
        }> | null | undefined)[]>;
        notifications: PropTypes.Validator<PropTypes.InferProps<{
            count: PropTypes.Requireable<number>;
            link: PropTypes.Requireable<string>;
        }>>;
        profile: PropTypes.Validator<PropTypes.InferProps<{
            image: PropTypes.Requireable<string>;
            alt: PropTypes.Requireable<string>;
            dropdown: PropTypes.Requireable<object>;
        }>>;
    };
    defaultProps: {
        badges: never[];
    };
};
export default Navbar;
